#47680 Upgraded 389-admin rpms and now I can't start dirsrv-admin
Closed: Fixed None Opened 5 years ago by rgroten.

Just upgraded my packages from:
389-ds-console-1.2.6-1.el5
389-console-1.1.7-1.el5
389-ds-console-doc-1.2.6-1.el5
389-admin-console-1.1.8-1.el5
389-admin-console-doc-1.1.8-1.el5
389-ds-base-1.2.9.9-1.el5
389-dsgw-1.1.7-2.el5
389-adminutil-1.1.14-1.el5
389-admin-1.1.23-1.el5
389-ds-base-libs-1.2.9.9-1.el5

To:
389-ds-console-1.2.6-1.el5
389-console-1.1.7-3.el5
389-ds-console-doc-1.2.6-1.el5
389-adminutil-1.1.19-1.el5
389-admin-console-1.1.8-1.el5
389-admin-1.1.29-1.el5
389-admin-console-doc-1.1.8-1.el5
389-dsgw-1.1.11-1.el5
389-ds-base-1.2.11.25-1.el5
389-ds-base-libs-1.2.11.25-1.el5
+perl-NetAddr-IP.x86_64 0:4.027-5.el5
+perl-Socket6.x86_64 0:0.19-3.fc6

After that I ran “setup-ds-admin.pl –u”. Now I’m having problems starting dirsrv-admin:

service dirsrv-admin start

Starting dirsrv-admin:
httpd.worker: Syntax error on line 136 of /etc/dirsrv/admin-serv/httpd.conf: Cannot load /usr/lib64/dirsrv/modules/mod_admserv.so into server: /usr/lib64/libadminutil.so.0: undefined symbol: ldap_explode
Server failed to start !!! Please check errors log for problems
[FAILED]

cat /etc/redhat-release

Red Hat Enterprise Linux Server release 5.9 (Tikanga)


0001-Ticket-47680-Upgraded-389-admin-rpms-and-now-I-can-t.patch
0001-Ticket-47680-Upgraded-389-admin-rpms-and-now-I-can-t.patch

commit b6276ca48b1a1661bce5710b002585120bd74ded
Author: Rich Megginson rmeggins@redhat.com
Date: Wed Mar 19 16:14:38 2014 -0600

rgroten: There is a new build in epel-testing - 389-adminutil-1.1.20 - please try this build to see if it fixes your problem

Replying to [comment:7 rmeggins]:

rgroten: There is a new build in epel-testing - 389-adminutil-1.1.20 - please try this build to see if it fixes your problem

I'm experiencing the same issue, and wanted to test out the patch, but I don't see the new package in epel-testing. To be sure - is this the right location: http://mirrors.kernel.org/fedora-epel/testing/5/ ?

Replying to [comment:8 mmeytin]:

Replying to [comment:7 rmeggins]:

rgroten: There is a new build in epel-testing - 389-adminutil-1.1.20 - please try this build to see if it fixes your problem

I'm experiencing the same issue, and wanted to test out the patch, but I don't see the new package in epel-testing. To be sure - is this the right location: http://mirrors.kernel.org/fedora-epel/testing/5/ ?

Yes, but looks like there is quite a delay between the updates system and the mirrors. I suggest downloading directly from the build system: http://koji.fedoraproject.org/koji/buildinfo?buildID=505727

Replying to [comment:7 rmeggins]:

rgroten: There is a new build in epel-testing - 389-adminutil-1.1.20 - please try this build to see if it fixes your problem

Unless mmeytin beats me to it I'll give it a try soon, I need to build a RH5 system since I worked around the issue by moving to the RH6 build.

Thanks a lot for a prompt reply! That did work, and I'm confirming that I no longer experience the error described in the ticket. Appreciate your help!

Replying to [comment:9 rmeggins]:

Replying to [comment:8 mmeytin]:

Replying to [comment:7 rmeggins]:

rgroten: There is a new build in epel-testing - 389-adminutil-1.1.20 - please try this build to see if it fixes your problem

I'm experiencing the same issue, and wanted to test out the patch, but I don't see the new package in epel-testing. To be sure - is this the right location: http://mirrors.kernel.org/fedora-epel/testing/5/ ?

Yes, but looks like there is quite a delay between the updates system and the mirrors. I suggest downloading directly from the build system: http://koji.fedoraproject.org/koji/buildinfo?buildID=505727

Great!

Replying to [comment:11 mmeytin]:

Thanks a lot for a prompt reply! That did work, and I'm confirming that I no longer experience the error described in the ticket. Appreciate your help!

Replying to [comment:9 rmeggins]:

Replying to [comment:8 mmeytin]:

Replying to [comment:7 rmeggins]:

rgroten: There is a new build in epel-testing - 389-adminutil-1.1.20 - please try this build to see if it fixes your problem

I'm experiencing the same issue, and wanted to test out the patch, but I don't see the new package in epel-testing. To be sure - is this the right location: http://mirrors.kernel.org/fedora-epel/testing/5/ ?

Yes, but looks like there is quite a delay between the updates system and the mirrors. I suggest downloading directly from the build system: http://koji.fedoraproject.org/koji/buildinfo?buildID=505727

Metadata Update from @rgroten:
- Issue assigned to rmeggins
- Issue set to the milestone: N/A

2 years ago

Login to comment on this ticket.

Metadata